#include <bits/stdc++.h>
using namespace std;

#define long int64_t
#define endl '\n'

#ifdef OFFLINE
	#define logan(...) logg(#__VA_ARGS__, __VA_ARGS__)
	template<class Arg>
	void logg(const char* name, Arg&& arg){ cerr << name << ": " << arg << '\n'; }
	template<class Arg, class ... Args>
	void logg(const char* name, Arg&& arg, Args&& ... args){
		char *next = (char*)name, *cand;
		int depth = 0;
		do{
			if(depth){ next = strchr(next+1, ')'); --depth; }
			else if((cand = strchr(next+1, '('))){ next = cand; ++depth; }
			else{ next = strchr(next+1, ','); }
		}while(depth);
		cerr.write(name, next-name) << ": " << arg << ",";
		logg(next+1, args...);
	}
	#define timeme 1.0*clock()/CLOCKS_PER_SEC
#else
	#define logan(...) {}
	#define timeme {}
#endif

struct pr{
	int a;
	double b;

	bool operator< (const pr& o) const{
		return b < o.b;
	};
};

double s[200'001];
pr a[200'001];

int main(){
	ios_base::sync_with_stdio(false);
	cin.tie(nullptr);
	cout.tie(nullptr);
	cerr.tie(nullptr);

	int n; cin >> n;
	for(int i = 0; i < n; ++i){
		cin >> a[i].a >> a[i].b;
	}

	sort(a, a+n);
	s[n] = 0;
	for(int i = n-1; ~i; --i)
		s[i] = s[i+1]+a[i].a;
	
	double res = 0;
	for(int i = 0; i < n; ++i)
		res = max(res, s[i]*(a[i].b/100.0));
	cout << setprecision(10) << res << endl;


}